Page MenuHomePhabricator

Paws display 504 - Bad gateway time-out
Closed, ResolvedPublic

Description

When trying to access paws at: - http://paws.wmflabs.org/
I get redirected to :- http://paws.wmflabs.org/paws/user/CanaryBot
where I get a display 504 - Bad gateway error.

The tasks that I had running are stopped and I can't enter in any file or terminal because I get that error.

Good luck trying to solve it!

Related Objects

Event Timeline

Ivanhercaz created this task.EditedAug 20 2016, 9:16 PM

One comment more: I have log-out and login again but it persists.
Edit: it begin to work sometimes but it stops working again soon.

Hello! It looks like you hit your memory limit and so got stuck. I've killed it now, and you should be able to log in.

Ivanhercaz added a comment.EditedAug 20 2016, 9:52 PM

OMG! Sorry for hit it. Could you give me some advice to not hit the memory limit? Or is it normal?

Thank you so much for your work @yuvipanda!

No worries! Hitting your memory limit only causes problems for you and not other users, so no need to be sorry!

Things to check:

  1. Check the 'running' tab in your notebook home page, shut down things you aren't using
  2. Check the 'memory' number on the top right of every notebook, when it reaches > 1000MB be a bit more careful.

We should provide better metrics for this eventually, but right now just these two!

Okay! I am going to be relaxed so hehe.

About your first point, I usually have only one (or two) terminals, but now I'm working with a lot of pages adding a template (Authority Control); about the second point, sincerly, I don't see the number that you say :/

Bit by bit, PAWS will improve. I am sure :)

ah, are you working only on terminals?

Mainly. Sometimes I use another notebooks, but it is usually for some test.

ah ok. can you try opening a python notebook, and see if you can see a number like: 'Mem: 124 MB' on the top right?

I see "Mem: " and nothing more.

Ivanhercaz added a comment.EditedAug 20 2016, 10:58 PM

Is possible that I have hit again the memory limit? :/ I am going to sleep the task until I discover why my regex exception is failing, perhaps it could be the reason why I am hitting the memory limit.

I've restarted it for you again just now.

Thank you @yuvipanda! If it happens again I will notify you.

Ivanhercaz added a comment.EditedJan 1 2017, 5:54 PM

Hi @yuvipanda! I am working again with CanaryBot in a easy task that I think is very light. The task was stopped several times (in terminal) with a message "killed". I tried to reload the page and I get a display 504. Could it because I reached the memory limit?

Could you restart me again?

Regards

Note: it seems to be solved again after login and logout several times.

I tried to create a server at https://paws.wmflabs.org/paws/hub/home, and clicked ''Start My Server''. But this led me to https://paws.wmflabs.org/paws/hub/user/QZanden and that didn't work. After a few minutes, I got 502 Bad gateway. What to do about it?

Same problem for me, see T158685.

I fixed this yesterday night.

yuvipanda closed this task as Resolved.Aug 2 2017, 9:06 AM
yuvipanda claimed this task.